| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::CameraFolderView Class Reference
Inheritance diagram for Digikam::CameraFolderView:

## Signals
void | signalCleared ()
void | signalFolderChanged (CameraFolderItem *)

## Public Member Functions
| CameraFolderView (QWidget *const parent)
CameraFolderItem * | addFolder (const QString &folder, const QString &subFolder, int nbItems, const QIcon &icon=QIcon::fromTheme(QLatin1String("folder")))
void | addRootFolder (const QString &folder, int nbItems=-1, const QIcon &icon=QIcon::fromTheme(QLatin1String("folder")))
void | addVirtualFolder (const QString &name, const QIcon &icon=QIcon::fromTheme(QLatin1String("camera-photo")))
virtual void | clear ()
CameraFolderItem * | findFolder (const QString &folderPath)
CameraFolderItem * | rootFolder () const
CameraFolderItem * | virtualFolder () const